Name:		ggz-gtk-client
Version:	0.99.4
Release:	1.1.moblin2
Summary:        Gtk+ client libraries for GGZ gaming zone

Group:		Development/Libraries    
License:	GPLv2+
URL:            http://www.ggzgamingzone.org/
Source0:        http://mirrors.ibiblio.org/pub/mirrors/ggzgamingzone/ggz/snapshots/%{name}-snapshot-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libggz-devel
BuildRequires:	ggz-client-libs-devel
BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext


%description
The GGZ Gaming Zone GTK+ Client provides a GTK+ 2.x user interface
for logging into a GGZ server, chatting with other players, and
locating and launching game tables.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libggz-devel
Requires:	ggz-client-libs-devel
Requires:	gtk2-devel


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-snapshot-%{version}
# Avoid lib64 rpaths
%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif


%build
# Will look at building the gaim plugin down the road.
%configure --disable-gaim-plugin	\
	   --disable-debug		\
	   --enable-static=no

# hack to omit unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang ggz-gtk

desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  $RPM_BUILD_ROOT%{_datadir}/applications/ggz-gtk.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f ggz-gtk.lang
%defattr(-,root,root,-)
%doc README README.GGZ NEWS COPYING
%{_bindir}/ggz-gtk
%{_libdir}/libggz-gtk.so.*
%{_datadir}/applications/fedora-ggz-gtk.desktop
%{_datadir}/ggz/
%{_mandir}/man6/ggz-gtk.6.gz


%files devel
%defattr(-,root,root,-)
%{_libdir}/libggz-gtk.so
%{_includedir}/ggz-*.h


%changelog
* Mon Aug 31 2009 Zhang Qiang <qiang.z.zhang@intel.com> - 0.99.4-1
- Initial import to Moblin
* Sun Mar  8 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.99.4-1
- Update to 0.99.4.
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Feb 17 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.14.1-1
- Update to 0.0.14.1.
* Mon Feb  4 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.14-3
- Add hack to omit unused-direct-shlib-dependencies.
* Mon Jan 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.14-2
- Fix rpath.
* Sat Jan 26 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.14-1
- Initial Fedora spec.
